---
title: "Puts the customer on a full event's waitlist at a ticket, until the seller lets them in or declines; a paid one is charged on promotion, on the card saved with saveWaitlistCard."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › checkout

`POST /v1/stores/{store}/products/{product}/waitlist`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `checkout:write`

## Path parameters

- `store` (`joinWaitlist.path.store`; string, required) — A hostname of the store.
- `product` (`joinWaitlist.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Request body

_Required._

- `price` (`joinWaitlist.price`; object, required) — The one-time price to wait at, charged on promotion when paid.
  - `id` (`joinWaitlist.price.id`; string, required)
    - minLength 1; maxLength 512
- `quantity` (`joinWaitlist.quantity`; integer, optional) — How many tickets; one when unset.
  - min 1; max 99

## Example request

```json
{
  "price": {
    "id": "string"
  },
  "quantity": 1
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/waitlist' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "price": {
    "id": "string"
  },
  "quantity": 1
}
'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/waitlist';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({price: {id: 'string'}, quantity: 1})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/waitlist"

payload = {
    "price": { "id": "string" },
    "quantity": 1
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Puts the customer on a full event's waitlist at a ticket, until the seller lets them in or declines; a paid one is charged on promotion, on the card saved with saveWaitlistCard.

#### Example

```json
{
  "id": "string",
  "product_id": "string",
  "status": "string",
  "quantity": 0,
  "paid": true,
  "created_at": "string"
}
```

- `id` (`joinWaitlist.response.200.id`; string, required)
- `product_id` (`joinWaitlist.response.200.product_id`; string, required)
- `status` (`joinWaitlist.response.200.status`; string, required) — `waitlisted` until the seller lets them in or declines.
- `quantity` (`joinWaitlist.response.200.quantity`; number, required)
- `paid` (`joinWaitlist.response.200.paid`; boolean, required) — Whether its ticket is paid, charged on promotion to the card `saveWaitlistCard` saves.
- `created_at` (`joinWaitlist.response.200.created_at`; string, required)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`joinWaitlist.response.default.type`; string, required)
  - format `uri`
- `title` (`joinWaitlist.response.default.title`; string, required)
- `status` (`joinWaitlist.response.default.status`; integer, required)
- `detail` (`joinWaitlist.response.default.detail`; string, required)
- `code` (`joinWaitlist.response.default.code`; string, optional)
- `context` (`joinWaitlist.response.default.context`; object, optional)
- `reached_core` (`joinWaitlist.response.default.reached_core`; boolean, optional)
- `core_answer` (`joinWaitlist.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/join-waitlist/index.md
